Loading...
Searching...
No Matches
_memory Struct Reference
Core Definitions » Peripheral Memory Map

`#include <stm32f407xx_matlab_memory.h>`

## Data Fields

uint8_t | FLASH_BASE [FLASH_SIZE]
uint8_t | CCMDATARAM_BASE [CCMDATARAM_SIZE]
uint8_t | FLASH_OTP_BASE [FLASH_OTP_SIZE]
uint8_t | SRAM1_BASE [SRAM1_SIZE]
uint8_t | SRAM2_BASE [SRAM2_SIZE]
uint8_t | SRAM1_BB_BASE [SRAM1_SIZE]
uint8_t | SRAM2_BB_BASE [SRAM2_SIZE]
uint8_t | PERIPH_BASE [PERIPH_SIZE]
uint8_t | BKPSRAM_BASE [BKPSRAM_SIZE]
uint8_t | PERIPH_BB_BASE [PERIPH_BB_SIZE]
uint8_t | BKPSRAM_BB_BASE [BKPSRAM_SIZE]
uint8_t | FSMC_R_BASE [FSMC_R_SIZE]
uint8_t | DEBUG_MCU_BASE [DEBUG_MCU_SIZE]

## Detailed Description

Definition at line 106 of file stm32f407xx_matlab_memory.h.

## Field Documentation

## FLASH_BASE

uint8_t FLASH_BASE[FLASH_SIZE]

Definition at line 110 of file stm32f407xx_matlab_memory.h.

## CCMDATARAM_BASE

uint8_t CCMDATARAM_BASE[CCMDATARAM_SIZE]

Definition at line 111 of file stm32f407xx_matlab_memory.h.

## FLASH_OTP_BASE

uint8_t FLASH_OTP_BASE[FLASH_OTP_SIZE]

Definition at line 112 of file stm32f407xx_matlab_memory.h.

## SRAM1_BASE

uint8_t SRAM1_BASE[SRAM1_SIZE]

Definition at line 113 of file stm32f407xx_matlab_memory.h.

## SRAM2_BASE

uint8_t SRAM2_BASE[SRAM2_SIZE]

Definition at line 114 of file stm32f407xx_matlab_memory.h.

## SRAM1_BB_BASE

uint8_t SRAM1_BB_BASE[SRAM1_SIZE]

Definition at line 115 of file stm32f407xx_matlab_memory.h.

## SRAM2_BB_BASE

uint8_t SRAM2_BB_BASE[SRAM2_SIZE]

Definition at line 116 of file stm32f407xx_matlab_memory.h.

## PERIPH_BASE

uint8_t PERIPH_BASE[PERIPH_SIZE]

Definition at line 117 of file stm32f407xx_matlab_memory.h.

## BKPSRAM_BASE

uint8_t BKPSRAM_BASE[BKPSRAM_SIZE]

Definition at line 118 of file stm32f407xx_matlab_memory.h.

## PERIPH_BB_BASE

uint8_t PERIPH_BB_BASE[PERIPH_BB_SIZE]

Definition at line 119 of file stm32f407xx_matlab_memory.h.

## BKPSRAM_BB_BASE

uint8_t BKPSRAM_BB_BASE[BKPSRAM_SIZE]

Definition at line 120 of file stm32f407xx_matlab_memory.h.

## FSMC_R_BASE

uint8_t FSMC_R_BASE[FSMC_R_SIZE]

Definition at line 121 of file stm32f407xx_matlab_memory.h.

## DEBUG_MCU_BASE

uint8_t DEBUG_MCU_BASE[DEBUG_MCU_SIZE]

Definition at line 122 of file stm32f407xx_matlab_memory.h.

The documentation for this struct was generated from the following file:

- F:/Work/Projects/MATLAB/matlab_stm_emulate/MCU_STM32F4xx_Matlab/Drivers/CMSIS/stm32f407xx_matlab_memory.h